"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const docopt_1 = require("docopt");
const debug_1 = require("../debug");
const memoize_1 = require("../memoize");
const docstring = `
Usage:
    yo typescript-package [--lerna] [--default]
`;
function _parseCommandLineOptions() {
    const rawOptions = docopt_1.docopt(docstring, {
        help: true,
        version: null,
        exit: true
    });
    const options = {
        lerna: rawOptions['--lerna'],
        defaultExport: rawOptions['--default']
    };
    debug_1.debug('yo:options')('Parsed options', options);
    return options;
}
exports.parseCommandLineOptions = memoize_1.memoize(_parseCommandLineOptions);
